Bug 144569 - Fade to black not working
Fade to black not working
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 08:39 EST by Christopher Beland
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2005-01-08 08:39:38 EST
The "fade to black" feature doesn't seem to work.  

I select xscreensaver-demo -> Advanced -> Colormaps -> Fade to Black
when Blanking (and Fade from Black When Unblanking).

The appropriate amount of time (that set in Fade Duration) passes, but
the transition from desktop to screensaver and back again is a quick
pop, not a smooth fade.

Checking or unchecking Install Colormap doesn't make a difference.
Comment 1 Jamie Zawinski 2005-02-27 22:48:42 EST
This means your video card does not support changing the monitor's gamma.
"Fade" can only work in two situations:

    1) the video driver supports changing the monitor's gamma curves
       via the XF86VidModeSetGamma() call; or

    2) the X server is running in 8-bit colormapped mode.

I'm sure you don't want option #2, so I'm afraid your only other option to make
this work is to buy a better video card.

Unfortunately, there's no way for xscreensaver to tell whether your video card
supports gamma; on cards that don't, XF86VidModeSetGamma just silently does
nothing.  So it's not possible to gray out the "Fade" option on systems that
don't support it.
Comment 2 Matthew Miller 2006-07-10 18:27:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Ray Strode [halfline] 2007-08-14 11:45:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.